質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.43%

  • CentOS

    2878questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Python 2.7

    1363questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • nginx

    927questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。

  • SSL

    540questions

    SSL(Secure Sockets Layer)とは、暗号化されたプロトコルで、インターネット上での通信セキュリティを提供しています。

CentOS7 Nginxの環境でLet’s EncryptでSSL設定が失敗します。。

解決済

回答 3

投稿

  • 評価
  • クリップ 1
  • VIEW 139

AoyamaHideo

score 4

CentOS7 Nginxの環境でLet’s EncryptでSSL設定が失敗します。。

プログラミングの知識がほとんど無く、ネットで記述を参照しながら
原因を探っています。

前提・実現したいこと

詳細環境
さくらインターネットのクラウド SSD20GB 3core 3GBメモリ
CentOS7 Nginx
KUSANAGI導入
wordpress4.42
PHP5.6.13

CentOS7 Nginxの環境でLet’s EncryptでSSL設定を完了したいです。

発生している問題・エラーメッセージ

コピーできず、画像で貼ります


イメージ説明

pyhon2.7が関係しているみたいです。

該当のソースコード

ソースコード

試したこと

上記のエラーが出る前は、
host名がどうとかのエラーになっていましたので
CENTOSのホスト名記述するファイルにホスト名「nagoyamag.com」を記載しました。
それと、KUSANAGIというプログラムで、アップデートを行いました。
それがかえって良くなかったかもしれません。

補足情報(FW/ツールのバージョンなど)

PHPのバージョンが古いので両方とも、アップデートしたほうが良いかとも考えていましが
wordpressのコアやプラグイン自体が対応してないとまずいので
まだ更新しないままにしています。

どうしたら、何から、手を付ければよいでしょうか。
ご教授を宜しくお願いします!

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • scsi

    2018/12/27 21:10

    certbot の実行方法はあってますかね?
    $* なんて入力したことないし問題起きそうな引数ですが。
    とりあえずLets Encrypt のマニュアルページでも熟読してみてください。

    キャンセル

回答 3

checkベストアンサー

+1

これとか?
nginxのログなんかも確認されると分かることがあるかと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/01/16 18:48

    「Let's encryt で既に動作しているWebサーバを認証する場合、
    フレームワークやWordPress、Drupalなどのアプリが、
    パラメータをキャッチする設定になっていることで、Web認証に失敗する場合がある。
    その場合は、以下の通り
    別ディレクトリに認証を逃がすことで、
    認証許可を出してもらうことが出来る。

    チャレンジ方式の認証であり
    不正に認証しているわけでもないので、認証自体も問題なし」

    という記述が非常に参考になりました。
    やってみたところ、無事に認証できました。

    ありがとうございました!!

    キャンセル

+1

こちらのページが参考になるかと思います。

https://onoredekaiketsu.com/fix-certbot-renew-error-of-lets-encrypt/

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/12/30 16:09 編集

    ありがとうございました。確かに
    acmeのバージョン0.29.0以上が無いのがエラーの内容だったようで
    リンクのサイトの手順で
    パッケージ python2-acme.noarch 0:0.27を
    パッケージ python2-acme.noarch 0:0.29に アップデートで
    この部分のエラーは解消しました。

    次に
    certbot
    を実行すると
    上記のエラーが。。

    キャンセル

0

イメージ説明

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.43%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • CentOS

    2878questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Python 2.7

    1363questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • nginx

    927questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。

  • SSL

    540questions

    SSL(Secure Sockets Layer)とは、暗号化されたプロトコルで、インターネット上での通信セキュリティを提供しています。